Bug 19275 - clubs table broken at the opac if public enrollment is not allowed
Summary: clubs table broken at the opac if public enrollment is not allowed
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 12461
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-07 17:30 UTC by Jonathan Druart
Modified: 2017-10-13 17:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19275 - clubs table broken at the opac if public enrollment is not allowed (1.69 KB, patch)
2017-09-08 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19275 - clubs table broken at the opac if public enrollment is not allowed (1.74 KB, patch)
2017-10-11 14:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19275 - clubs table broken at the opac if public enrollment is not allowed (1.84 KB, patch)
2017-10-13 09:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-09-07 17:30:55 UTC

    
Comment 1 Jonathan Druart 2017-09-07 17:33:02 UTC
To recreate:
Create a template club and disable public enrollment
Create a club and add it a patron
login at the opac with this patron

=> the table is broken at the opac, td are missing
Comment 2 Kyle M Hall 2017-09-08 15:53:20 UTC
Created attachment 66998 [details] [review]
Bug 19275 - clubs table broken at the opac if public enrollment is not allowed

Test Plan:
1. Create a template club and disable public enrollment
2. Create a club and add it a patron
3. login at the opac with this patron
4. Note the borked clubs table
5. Apply this patch
6. Refresh the page
7. Table is fixed!
Comment 3 Alex Buckley 2017-09-09 03:25:35 UTC
Hi Kyle

Sorry but running the QA test tool the clubs-tab.tt template fails (see below output). If you could please fix this up I will happily re-test and signoff as the patch worked as you described in your test plan:

 FAIL	koha-tmpl/opac-tmpl/bootstrap/en/modules/clubs/clubs-tab.tt
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  spelling
   OK	  tt_valid
   FAIL	  valid_template
		Attempt to reload Koha/Template/Plugin/KohaDates.pm aborted.
Compilation failed in require at /usr/lib/x86_64-linux-gnu/perl5/5.20/Template/Plugins.pm line 206.
Comment 4 Jonathan Druart 2017-10-10 16:28:55 UTC
I do not get this error.
Comment 5 Owen Leonard 2017-10-11 14:37:14 UTC
Created attachment 67962 [details] [review]
Bug 19275 - clubs table broken at the opac if public enrollment is not allowed

Test Plan:
1. Create a template club and disable public enrollment
2. Create a club and add it a patron
3. login at the opac with this patron
4. Note the borked clubs table
5. Apply this patch
6. Refresh the page
7. Table is fixed!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Marcel de Rooy 2017-10-13 09:36:45 UTC
Created attachment 68058 [details] [review]
Bug 19275 - clubs table broken at the opac if public enrollment is not allowed

Test Plan:
1. Create a template club and disable public enrollment
2. Create a club and add it a patron
3. login at the opac with this patron
4. Note the borked clubs table
5. Apply this patch
6. Refresh the page
7. Table is fixed!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-10-13 17:00:52 UTC
Pushed to master for 17.11, thanks to everybody involved!